Bug Hunting Session
Bug 47907 - flickering screen update when scrolling in basic
Summary: flickering screen update when scrolling in basic
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
3.5.0 Beta0
Hardware: Other Linux (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard: target:3.7.0
Keywords: regression
Depends on:
Blocks:
 
Reported: 2012-03-26 08:16 UTC by Cor Nouws
Modified: 2012-10-22 08:06 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2012-03-26 08:16:21 UTC
Open a basic module
Press arrow-down until the screen starts to scroll
  > the text is flickering

also notice that page-up/down give the same effect
as if an extra screen update is done or so
Comment 1 Cor Nouws 2012-03-26 08:17:16 UTC
scrolling was smouth in 3.4.x
Comment 2 Cor Nouws 2012-03-28 13:05:34 UTC
Now try arrow down while holding the Shift key. Urghh
Comment 3 Not Assigned 2012-08-03 08:10:08 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c4ef97e6bea0e7de3fa7f0842b3319478d869ae0

Revert "new fix for fdo#47907"
Comment 4 Not Assigned 2012-08-03 08:10:25 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a8bf0571b1bb8c46502392a7ffc57d07f967d2b1

readd fix for fdo#47907 i.e "Revert "Revert "fix for fdo#47907""
Comment 5 Cor Nouws 2012-10-22 08:06:18 UTC
Hi Noel,
thanks for looking at this.
The nasty effect is not always as stong (no idea why). 

Though it's not perfect, it looks reasonable for me in master from 08-10-2012.
But it's still not without flickering...
Could be some window manager depending thing?